Package Details: hangups-git 1:0.4.10.r3.gffa4ac9-1

Git Clone URL: https://aur.archlinux.org/hangups-git.git (read-only, click to copy)
Package Base: hangups-git
Description: The first third-party instant messaging client for Google Hangouts
Upstream URL: http://github.com/tdryer/hangups
Keywords: Google Hangouts
Licenses: MIT
Conflicts: hangups
Provides: hangups
Submitter: Stunts
Maintainer: Stunts
Last Packager: Stunts
Votes: 43
Popularity: 0.000000
First Submitted: 2014-09-17 10:34
Last Updated: 2020-06-15 17:29

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Stunts commented on 2020-06-15 17:29

Thanks @bobpaul. I have made the recommended changes.

bobpaul commented on 2020-06-14 16:47

@Stunts that didn't work.

(>'o')>$ makepkg -i
[... SNIP ...]

^('o')^$ grep 3.12 -R src/hangups/*
src/hangups/hangups.egg-info/requires.txt:protobuf<3.12,>=3.1.0
src/hangups/setup.py:    'protobuf>=3.1.0,<3.12',

<('.'<)$ grep 'sed.*protobuf' PKGBUILD
  sed -i 's/protobuf>=3.1.0,<=3.*.0/protobuf>=3.1.0/' setup.py 

^('.')^$ hangups
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (protobuf 3.12.0 (/usr/lib/python3.8/site-packages), Requirement.parse('protobuf<3.12,>=3.1.0'), {'hangups'})

During handling of the above exception, another exception occurred:
[... SNIP ...]

It looks like the replacement silently failed due to no match. Use sed -i "s/protobuf>=3.1.0,.*'/protobuf>=3.1.0'/" setup.py

Stunts commented on 2019-11-15 09:53

Thanks @NBonaparte. I have updated the package and used your helpful sed line. I also must say that it has been quite a while since I last used hangups, so if anyone else wants to step up as a new maintainer for this package it is yours for the taking.

NBonaparte commented on 2019-11-15 03:41

The sed protobuf line doesn't work because the upper bounds have changed (and probably will keep changing), resulting in the current python-protobuf version being too high.

I think this would be better:

sed 's/protobuf>=3.1.0,<=3.*.0/protobuf>=3.1.0/' setup.py

Kabir commented on 2018-08-06 14:39

Thanks @Stunts that worked.

Stunts commented on 2018-08-06 12:52

Updated the package to force a rebuild with the latest python. Note that in order to make hangups work, you will also need to rebuild "python-mechnicalsoup", "python-reparser" and "python-readlike", which at the time of writing have not yet had their PKGBUILDs bumped.

Stunts commented on 2018-07-30 11:17

Hi @Kabir, Just rebuild the package, which should solve your issue.

Kabir commented on 2018-07-29 04:14

When exiting hangups I get the below message, is that normal or is it not closing cleanly? It got me wondering because it wasn't happening earlier.

`--> hangups

Traceback (most recent call last): File "/usr/bin/hangups", line 11, in <module> load_entry_point('hangups==0.4.4', 'console_scripts', 'hangups')() File "/usr/lib/python3.6/site-packages/hangups/ui/main.py", line 1135, in main datetimefmt, notifier_, args.discreet_notifications File "/usr/lib/python3.6/site-packages/hangups/ui/main.py", line 135, in init loop.run_until_complete(task) File "/usr/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete return future.result() concurrent.futures._base.CancelledError</module>

Stunts commented on 2018-05-10 10:11

Thanks @Kabir for the heads up. I have updated the PKGBUILD to address this problem.

Kabir commented on 2018-05-09 14:28

I think the same error has reoccurred. There was an update to python aiohttp and now hangups gives a DistributionNotFound exception, The 'async-timeout<3,>=2' distribution was not found